Subject: [PATCH-V6 1/3] ARM: OMAP1: FIX: check possible error condition in timer_init

From: [email-masked] (Janusz Krzysztofik)
Date: Fri, 04 May 2012 21:45:20 +0200

Dnia pi?tek, 4 maja 2012 10:43:02 Tony Lindgren pisze:
> Hi,
> 
> * Kevin Hilman <[email-masked]> [120502 13:11]:
> > Vaibhav Hiremath <[email-masked]> writes:
> > 
> > > OMAP1, omap_32k_timer_init() function always returns "true",
> > > irrespective of whether error occurred while initializing 32k sync
> > > counter as a kernel clocksource or not and execution will never
> > > fallback to mpu_timer clocksource init code.
> > >
> > > This patch adds check for return value from function
> > > omap_init_clocksource_32k(), and fallback to omap_mpu_timer_init()
> > > in case of failure/error from omap_init_clocksource_32k().
> > >
> > > Signed-off-by: Vaibhav Hiremath <[email-masked]>
> > > Cc: Tony Lindgren <[email-masked]>
> > > Cc: Kevin Hilman <[email-masked]>
> > > Cc: Paul Walmsley <[email-masked]>
> > > Cc: Benoit Cousson <[email-masked]>
> > > ---
> > > This is new patch addition compared to original series (<=V5).
> > >
> > > Also, note that, this patch is only compile tested, since
> > > I do not have omap1 board with me to validate it.
> > > Kevin, can you help me to validate it.
> > 
> > I boot tested on OMAP1 (5912/OSK) with 32k timer and MPU timer
> > Kconfigs.  Works fine, but needs small change below for compile 
warnings.
> > 
> > Otherwise, looks good.
> 
> We need at least one tested-by on some 15xx platform for these 
changes.
> Janusz, can you please give this series a try on your board too?

Sure, but in a week or so.

I'm still trying to follow the l-o list, but please always Cc: me for 
testing any changes on Amstrad Delta whenever you see fit.

Regards,
Janusz